/* ============= TOPO ============= */
.ocultar-desktop {
    display: none;
}

.topo {
    width: 100%;
    min-width: 370px;
    height: 80px;
    display: table;
    position: relative;
    background: #091D26;
    box-shadow: 0 2px 6px rgba(100, 100, 100, 0.1);
    z-index: 10;
}

.topo .logo,
.topo .botao-menu,
.topo .localizar,
.topo .agente,
.topo .mensagens,
.topo .notificacoes,
.topo .configuracoes,
.topo .importacoes,
.topo .avatar {
    display: table-cell;
    vertical-align: middle;
}

.topo .logo {
    width: 150px;
    height: 100%;
    text-align: center;
}

.topo .logo img {
    max-width: 60%;
    /*max-height: 100%;*/
}

@media(max-width:768px) {
    .topo .logo img {
        max-width: 40%;
    }
}

@media(max-width:425px) {
    .topo .logo img {
        max-width: 60%;
    }
}

@media(max-width:320px) {
    .topo .logo img {
        max-width: 75%;
    }
}


.topo .botao-menu {
    width: 70px;
    font-size: 2.2em;
    color: #545f61;
    text-align: left;
}

.topo .botao-menu.active i {
    color: #008CA6;
}

.topo .botao-menu i {
    cursor: pointer;
    transition: color 0.3s ease-in-out;
}

.topo .localizar .input-group {
    max-width: 400px;
    float: right;
}

.topo .localizar .input-form {
    width: 75%;
}

.topo .agente .input {
    width: 220px;
    float: right;
}

.page-container .agente {
    display: none;
}

.page-container .agente .input {
    width: 250px;
    float: right;
}

.topo .mensagens,
.topo .notificacoes,
.topo .configuracoes,
.topo .importacoes {
    width: 50px;
    position: relative;
    font-size: 2em;
    color: #596466;
    text-align: right;
}

.topo .mensagens i,
.topo .notificacoes i,
.topo .configuracoes i,
.topo .importacoes i {
    cursor: pointer;
    position: relative;
    transition: all 0.3s ease-in-out;
}

.topo .configuracoes i.active,
.topo .importacoes i.active {
    color: #c8e7ec;
}

.topo .mensagens i>span,
.topo .notificacoes i>span {
    position: absolute;
    bottom: 0px;
    right: -8px;
    padding: 1px 6px;
    background: #e17545;
    border-radius: 50%;
    font-family: "Open Sans", sans-serif;
    font-size: 0.4em;
    font-style: normal;
    color: #ffffff;
    cursor: pointer;
    z-index: 9;
}

.topo .mensagens .detalhes {
    min-width: 200px;
    max-height: calc(100vh - 84px);
    list-style: none;
    position: absolute;
    top: calc(80px + 4px);
    right: 0;
    background: #ffffff;
    border: 1px solid #dadada;
    border-bottom: 0;
    visibility: hidden;
    opacity: 0;
    overflow-y: auto;
    transition: all 0.3s ease-in-out;
}

.sub-menu {
    min-width: 200px;
    max-height: calc(100vh - 84px);
    list-style: none;
    position: absolute;
    top: calc(60px + 4px);
    right: 0;
    background: #ffffff;
    border: 1px solid #dadada;
    border-bottom: 0;
    visibility: hidden;
    opacity: 0;
    overflow-y: auto;
    transition: all 0.3s ease-in-out;
}

.topo .mensagens .detalhes.active {
    visibility: visible;
    opacity: 1;
}

.sub-menu.active {
    visibility: visible;
    opacity: 1;
}

.topo .mensagens .detalhes h2 {
    width: 100%;
    padding: 10px;
    position: relative;
    border-bottom: 1px solid #dadada;
    font-size: 0.5em;
    text-align: left;
    transition: all 0.3s ease-in-out;
}

.sub-menu li {
    width: 100%;
    padding: 10px 40px 10px 10px;
    position: relative;
    border-bottom: 1px solid #dadada;
    font-size: 16px;
    text-align: left;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

.sub-menu li {
    padding-right: 40px;
}

.sub-menu li:hover {
    background: #f7f7f7;
    color: #008CA6 !important;
}

.sub-menu li.has-sub-menu::before {
    content: "\f361";
    font-family: "Ionicons";
    font-size: 1.4em;
    font-weight: 900;
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translate(0, -50%);
    transition: all 0.3s ease-in-out;
}

.sub-menu li.has-sub-menu.selected::before {
    transform: translate(0, -50%) rotate(-90deg);
}

.sub-menu .sub-menu-1 {
    width: 100%;
    display: none;
    list-style: none;
    background: #c7c7c7;
}

.sub-menu .sub-menu-1 li {
    padding: 5px 5px 5px 20px;
    color: #ffffff;
    transition: all 0.3s ease-in-out;
}

.sub-menu .sub-menu-1 .sub-menu-2 {
    width: 100%;
    display: none;
    list-style: none;
    background: #b3b3b3;
}

.sub-menu .sub-menu-1 .sub-menu-2 li {
    padding: 5px 5px 5px 30px;
    color: #ffffff;
    transition: all 0.3s ease-in-out;
}

.sub-menu .sub-menu-1 .sub-menu-2 .sub-menu-3 {
    width: 100%;
    display: none;
    list-style: none;
    background: #969696;
}

.sub-menu .sub-menu-1 .sub-menu-2 .sub-menu-3 li {
    padding: 5px 5px 5px 40px;
    color: #ffffff;
    transition: all 0.3s ease-in-out;
}

.topo .notificacoes .detalhes {
    position: absolute;
    top: calc(80px + 4px);
    right: 0;
    background: #ffffff;
    border: 1px solid #dadada;
    border-bottom: 0;
    visibility: hidden;
    opacity: 0;
    transition: all 0.3s ease-in-out;
}

.topo .notificacoes .detalhes.active {
    visibility: visible;
    opacity: 1;
}

.topo .notificacoes .detalhes h2 {
    width: 100%;
    padding: 10px 50px 10px 10px;
    position: relative;
    border-bottom: 1px solid #dadada;
    font-size: 16px;
    text-align: left;
    transition: all 0.3s ease-in-out;
}

.topo .notificacoes .detalhes h2 span {
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translate(0, -50%);
    background: #e17545;
    border-radius: 50%;
    font-size: 12px;
    color: #ffffff;
}

.topo .avatar {
    width: 150px;
    height: 100%;
    text-align: center;
}

.topo .avatar-img {
    width: 64px;
    height: 60px;
    position: relative;
    margin: 0 auto;
    cursor: pointer;
}

.topo .avatar-img img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    object-fit: cover;
}

.topo .avatar .dados {
    min-width: 320px;
    background: #ffffff;
    border: 1px solid #dadada;
    color: #556062;
    position: absolute;
    top: calc(100% + 12px);
    right: 0;
    visibility: hidden;
    opacity: 0;
    cursor: default;
    transition: all 0.3s ease-in-out;
}

.topo .avatar .dados.active {
    visibility: visible;
    opacity: 1;
}

.topo .avatar .dados .body {
    width: 100%;
    padding: 10px 20px;
    display: table;
}

.topo .avatar .dados .body .dados-img,
.topo .avatar .dados .body .dados-text {
    display: table-cell;
    vertical-align: middle;
}

.topo .avatar .dados .body .dados-img {
    width: 70px;
}

.topo .avatar .dados .body .dados-img img {
    max-width: 60px;
    max-height: 60px;
    margin-right: 20px;
}

.topo .avatar .dados .body .dados-text {
    text-align: left;
}

.topo .avatar .dados .body .dados-text h2 {
    font-size: 1.1em;
    color: #545f61;
}

.topo .avatar .dados .body .dados-text h3 {
    font-size: 0.9em;
    color: #8c8c8c;
}

.topo .avatar .dados .body .dados-text h5 {
    font-size: 0.8em;
    margin-top: 10px;
    text-align: left;
    color: #8c8c8c;
}

.topo .avatar .dados .footer {
    width: 100%;
    display: table;
    padding: 10px 20px;
    background: #f5f5f5;
}

.topo .avatar .dados .footer .dados-botao,
.topo .avatar .dados .footer .sair {
    display: table-cell;
    vertical-align: middle;
}

.topo .avatar .dados .footer .dados-botao {
    text-align: left;
}

.topo .avatar .dados .footer .dados-botao i {
    font-size: 1.6em;
    padding-right: 10px;
    float: left;
}

.topo .avatar .dados .footer .dados-botao i::before {
    transition: all 0.3s ease-in-out;
}

.topo .avatar .dados .footer .dados-botao h2 {
    font-size: 1em;
    padding-top: 2px;
    float: left;
    transition: all 0.3s ease-in-out;
}

.topo .avatar .dados .footer .dados-botao .botao-perfil:hover i::before {
    color: #3da5f4;
    transform: rotate(-90deg);
}

.topo .avatar .dados .footer .dados-botao .botao-perfil:hover h2 {
    color: #3da5f4;
}

.topo .avatar .dados .footer .sair {
    width: 70px;
    text-align: right;
}

.topo .avatar .dados .footer .sair .botao {
    font-size: 0.9em;
    padding: 5px 10px;
    background: #3d944e;
    color: #ffffff;
}

.topo .avatar .dados .footer .sair .botao:hover {
    background: #e4e4e4;
    color: #e13a58;
}

.topo .avatar .footer .sair .botao {
    font-size: 0.9em;
    padding: 5px 10px;
    background: #3d944e;
    color: #ffffff;
}

.topo .avatar .footer .sair .botao:hover {
    background: #e4e4e4;
    color: #e13a58;
}


/* ============= TOPO HOVER EFFECTS ============= */

.topo .mensagens .detalhes h2:hover,
.topo .notificacoes .detalhes h2:hover {
    background: #e9e9e9;
    color: #86ca47;   
}



/* ============= TOPO MEDIA ============= */

.mobile-modal-text {
    display: none;
}

@media (max-width: 768px) {
    .topo {
        position: fixed;
    }

    .topo .botao-menu {
        font-size: 2em;
    }

    .topo .localizar,
    .topo .agente {
        display: none;
    }

    .page-container .agente {
        display: block;
    }
}

@media (max-width: 480px) {

    .topo .logo,
    .topo .avatar {
        width: 25%;
    }

    .topo .botao-menu {
        text-align: center;
    }

    .topo .mensagens,
    .topo .notificacoes,
    .topo .configuracoes,
    .topo .importacoes {
        width: 40px;
    }

    .mobile-modal-text {
        display: block;
    }
}


/* ============= MENU ============= */

@media (min-width: 769px) {
    .menu {
        position: absolute;
        left: 0;
        background: #ffffff;
        box-shadow: 3px 2px 6px rgba(100, 100, 100, 0.1);
        text-align: center;
        z-index: 9;
        transition: left 0.3s linear;
    }

    .menu:not(.active) {
        left: -155px;
    }

    .menu .block {
        width: 150px;
        padding: 25px 0;
        display: block;
        position: relative;
        border-bottom: 1px solid #dadada;
        font-size: 0.9em;
        color: #656565;
        cursor: pointer;
        transition: all 0.3s ease-in-out;
    }

    .menu .block.has-sub-block::before {
        content: "\f35f";
        font-family: "Ionicons";
        font-size: 1.6em;
        font-weight: 900;
        position: absolute;
        top: 50%;
        right: 10px;
        transform: translate(0, -50%);
        transition: all 0.3s ease-in-out;
    }

    .menu .block i {
        font-size: 2.8em;
    }

    .menu .block svg {
        width: 30%;
        height: auto;
        fill: #656565;
        transition: fill 0.3s ease-in-out;
    }

    .menu .block h2 {
        width: 120px;
        margin: auto;
        margin-top: 5px;
        font-size: 1em;
    }

    .menu .block .sub-block {
        width: 100%;
        display: block !important;
        position: absolute;
        top: 0;
        right: -100%;
        text-align: left;
        background: #ffffff;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
        list-style: none;
        visibility: hidden;
        opacity: 0;
        transition: all 0.3s ease-in-out;
    }

    .menu .block .sub-block li {
        position: relative;
        padding: 10px 25px 10px 10px;
        word-break: break-word;
        border-bottom: 1px solid #dadada;
        color: #656565;
        transition: all 0.3s ease-in-out;
    }

    .menu .block .sub-block li.has-sub-block::before {
        content: "\f361";
        font-family: "Ionicons";
        font-size: 1.6em;
        position: absolute;
        top: 50%;
        right: 10px;
        transform: translate(0, -50%);
        transition: all 0.3s ease-in-out;
    }

    .menu .block .sub-block li.has-sub-block.selected::before {
        transform: translate(0, -50%) rotate(-90deg);
    }

    .menu .block .sub-block .sub-block-1 {
        width: 100%;
        display: none;
        list-style: none;
        background: #c7c7c7;
    }

    .menu .block .sub-block .sub-block-1 li {
        padding: 5px 5px 5px 25px;
        color: #ffffff;
        border-bottom: none;
        transition: all 0.3s ease-in-out;
    }
}


/* ============= MENU MOBILE ============= */

@media (max-width: 768px) {
    .menu {
        width: 250px;
        height: 100%;
        max-height: calc(100% - 80px);
        position: fixed;
        top: 80px;
        left: -100%;
        background: #c7c7c7;
        box-shadow: 3px 2px 6px rgba(100, 100, 100, 0.1);
        text-align: left;
        overflow-y: auto;
        z-index: 9;
        transition: left 0.3s linear;
    }

    .menu.active {
        left: 0;
    }

    .menu .block {
        width: 100%;
        padding: 15px 0;
        display: block;
        background: #ffffff;
        border-bottom: 1px solid #dadada;
        font-size: 0.9em;
        color: #656565;
        cursor: pointer;
        transition: all 0.3s ease-in-out;
    }

    .menu .block .header {
        width: 100%;
        display: table;
        position: relative;
    }

    .menu .block.has-sub-block .header::before {
        content: "\f361";
        font-family: "Ionicons";
        font-size: 1.6em;
        position: absolute;
        top: 50%;
        right: 10px;
        transform: translate(0, -50%);
        transition: all 0.3s ease-in-out;
    }

    .menu .block.has-sub-block.selected .header::before {
        transform: translate(0, -50%) rotate(-90deg);
    }

    .menu .block .header i,
    .menu .block .header svg,
    .menu .block .header h2 {
        display: table-cell;
        vertical-align: middle;
    }

    .menu .block .header i {
        width: 55px;
        font-size: 1.6em;
        text-align: center;
    }

    .menu .block .header svg {
        width: 25px;
        height: 23px;
        fill: #656565;
        margin: 0 5px 0 15px;
        transition: fill 0.3s ease-in-out;
    }

    .menu .block .header h2 {
        padding-right: 30px;
        word-break: break-word;
        font-size: 1.2em;
        text-align: left;
    }

    .menu .block .sub-block {
        width: 100%;
        display: none;
        margin: 15px 0 -15px 0;
        background: #86ca47;
        list-style: none;
    }

    .menu .block .sub-block li {
        position: relative;
        padding: 10px 25px 10px 15px;
        word-break: break-word;
        color: #ffffff;
        transition: all 0.3s ease-in-out;
    }

    .menu .block .sub-block li.has-sub-block::before {
        content: "\f361";
        font-family: "Ionicons";
        font-size: 1.6em;
        position: absolute;
        top: 50%;
        right: 10px;
        transform: translate(0, -50%);
        transition: all 0.3s ease-in-out;
    }

    .menu .block .sub-block li.has-sub-block.selected::before {
        transform: translate(0, -50%) rotate(-90deg);
    }

    .menu .block .sub-block li:last-of-type {
        border-bottom: none;
    }

    .menu .block .sub-block .sub-block-1 {
        width: 100%;
        display: none;
        list-style: none;
        background: #c7c7c7;
    }

    .menu .block .sub-block .sub-block-1 li {
        padding: 5px 5px 5px 25px;
        color: #ffffff;
        transition: all 0.3s ease-in-out;
    }
}


/* ============= MENU HOVER EFFECTS ============= */

.menu .block:hover,
.menu .block.active {
    background: #f7f7f7;
    color: #008CA6;
}

.menu .block:hover svg,
.menu .block.active svg {
    fill: #86ca47;
}

.menu .block.has-sub-block:hover::before {
    transform: translate(0, -50%) rotate(-90deg);
}

.menu .block .sub-block li:hover {
    background: #f7f7f7;
    color: #86ca47;
}

.menu .block:hover .sub-block {
    visibility: visible;
    opacity: 1;
}


/* ============= CARDS DA DASHBOARD ============= */

.card {
    width: 100%;
    padding: 10px 20px;
    margin-bottom: 20px;
    display: table;
    background: #ffffff;
    height: 60px;
    border-radius: 5px;
    transition: .4s ease;
    box-shadow: 0px 9px 20px rgba(46, 35, 94, 0.07);
}

.card-painel {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
    /* margin-top: 100px; */
}


.item_card_painel {
    width: 280px;
    height: 250px;
    /* background: rgba(255, 255, 255, 0.2); */
    background: rgba(9, 29, 38, 0.6);
    box-shadow: 0 8px 32px rgba(0, 0, 0, 0.15);
    /* box-shadow: 0 8px 32px rgba(0, 0, 0, 0.25); */
    /* backdrop-filter: blur(10px); */
    backdrop-filter: blur(5px);
    /* -webkit-backdrop-filter: blur(10px); */
    /* background-color: #FFFFFF; */
    position: relative;
    border-radius: 5px;
    /* box-shadow: 0px 9px 20px rgba(46, 35, 94, 0.07); */
    transition: 0.4s;
    /* outline: 2px solid #ffffff;
    outline-offset: -10px; */
    position: relative;
}

.item_card_painel::before {
    content: '';
    position: absolute;
    top: 10px;
    left: 10px;
    right: 10px;
    bottom: 10px;
    border: 2px solid rgba(255, 255, 255); 
    border-radius: 5px; 
    pointer-events: none; 
    z-index: 1; 
}

.item_card_painel:hover {
    transform: scale(1.03);
}

.item_card_painel i {
    font-size: 65px;
    /* margin: 45px auto; */
    margin-top: 45px;
    /* margin-bottom: 20px; */
    display: flex;
    justify-content: center;
}

.item_card_painel span {
    font-size: 20px;
    text-align: center;
    font-family: 'Open Sans', sans-serif;
    display: flex;
    justify-content: center;
    font-weight: 400;
    color: #ffffff;
}

.card:hover {
    transform: translateY(-5px);
    box-shadow: none;
}


/* .card:hover .card-icon i {
    animation: tada 1.5s ease infinite;
} */

.card.horizontal {
    display: inline-block;
}

.card .card-header {
    width: 100%;
    max-height: 200px;
    text-align: center;
}

.card .card-icon,
.card .card-text {
    display: table-cell;
    vertical-align: middle;
}

.card .card-icon {
    width: 50px;
}

.card .card-icon i {
    font-size: 1.8em;
}

.card .card-text {
    text-align: left;
}

.card .card-text h2 {
    font-size: 1.2em;
}

.card-icon img {
    width: 35px;
}


@media(max-width:440px){
    .card-painel{
        margin-top:100px;
    }
}

@media(max-width:390px){
    .item_card_painel{
        height: 225px;
    }
}


/* CUSTOMIZAÇÕES */

td.cancelado {
    color: #E13A58;
    font-weight: 600; 
}

td.aceito {
    color: #35ad5d; 
    font-weight: 600; 

}

td.lista-de-espera {
    /* color: rgb(238, 156, 24); */
    color: rgb(238, 202, 24);
    font-weight: 600; 
}

td.enviado {
    color: #2b7bb8;
    font-weight: 600; 
}

td.cadastrado{
    color: #535f60;
    font-weight: 600;
}


/* ESTILO SWALFIRE LIMITE INDISPONÍVEL */
.swal-custom-actions {
    display: flex;
    justify-content: center;
    gap: 10px; /* Espaço entre os botões */
}


/* BOTÃO DE FECHAR */
.swal-custom-confirm{
    border-left-color: #E13A58 !important;
    border-right-color: #E13A58 !important;
    background-color: #E13A58 !important;
    /* background-color: rgb(214, 48, 48) !important;  */
}


/* BOTÃO DE LISTA DE ESPERA */
.swal-custom-cancel{
    border-left-color:#35ad5d !important;
    border-right-color: #35ad5d !important;
    background-color:#35ad5d !important; 
}

/* ESTILO DA PÁGINA DE ANIMAIS HOSPEDADOS */

.pesquisa.animais{
    box-shadow: none !important;
}

/* ESTILO DA PÁGINA DE CADASTRO */

.topo .logo.cadastro img{
    height: 70px;
}


.content-container.cadastro {
    background-color: #ffffff;
    box-shadow: none;
}

#titulo-pagina-cadastro h1{
    font-size: 1.75em;
    font-weight: 900;
    padding-bottom:10px;
}

.header-text.cadastro h2 {
    color: #091D26;
    font-size: 1.25em;
    font-weight: 300;
    /* font-weight: 900; */
    text-align: center;
    padding-bottom:10px;
}

.painel.form.cadastro {
    box-shadow: none;
}

#select-pais-cadastro {
    padding: 0px 10px 0px 14px !important;
}

#select-cidade-cadastro {
    padding: 0px 5px 0px 10px !important;
}

.input.contato{
    padding-top:20px !important;
}


@media (max-width:768px){
    #select-pais-cadastro, #select-estado-cadastro, #select-cidade-cadastro{
        padding: 0px 4px 0px 16px !important;
    }
    
}


/* 
.selects-cadastro{
    display: flex !important;
    flex-direction: column;
    gap:20px !important;
} */

/* .select-cadastro .select2{
    width:200px !important;
}
.custom-select{
    width:200px !important;
} */

.botao-cadastro {
    background-color: #091D26;
    border: none;
    color: #fff;
    height: 57px;
    width: 200px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1.125em;
    transition: all 0.3s ease;
    text-transform: uppercase;
    font-weight: 400;
}

#container-botao-cadastro {
    display: flex;
    justify-content: center;
}

.botao-cadastro:hover {
    background-color: #CCA43B;
}

/* .painel.form.cadastro .body{
    padding:20px 0px;
} */

.content-container.pedidos {
    box-shadow: none;
}


.editar_item_orcamento {
    cursor: pointer;
}

#modal_procedimentos {
    border-radius: 5px !important;
}


#info_acesso {
    position: absolute;
    top: 5px;
    right: 5px;
}

@keyframes tada {
    0% {
        transform: scaleX(1);
    }

    10% {
        transform: scale3d(0.9, 0.9, 0.9) rotate(-3deg);
    }

    20% {
        transform: scale3d(0.9, 0.9, 0.9) rotate(-3deg);
    }

    30% {
        transform: scale3d(1.1, 1.1, 1.1) rotate(3deg);
    }

    50% {
        transform: scale3d(1.1, 1.1, 1.1) rotate(3deg);
    }

    70% {
        transform: scale3d(1.1, 1.1, 1.1) rotate(3deg);
    }

    90% {
        transform: scale3d(1.1, 1.1, 1.1) rotate(3deg);
    }

    40% {
        transform: scale3d(1.1, 1.1, 1.1) rotate(-3deg);
    }

    60% {
        transform: scale3d(1.1, 1.1, 1.1) rotate(-3deg);
    }

    80% {
        transform: scale3d(1.1, 1.1, 1.1) rotate(-3deg);
    }

    to {
        transform: scaleX(1);
    }
}

.tada {
    animation-name: tada;
}


/* ============= CARDS MEDIA ============= */

@media (max-width: 570px) {
    .card .card-icon {
        display: none;
    }
}


/* ============= PAINEIS ============= */

.painel {
    width: 100%;
    display: block;
    box-shadow: 2px 2px 4px rgba(100, 100, 100, 0.2);
    overflow: hidden;
}

.painel.form {
    border-radius: 4px;
}

.painel .header {
    width: 100%;
    padding: 15px 30px;
    border-bottom: 1px solid #c4c4c4;
    font-size: 1.6em;
}

.painel.form .header {
    padding: 10px 20px;
    border-bottom: 0;
    font-size: 1.2em;
}

.painel .header .header-text,
.painel .header .header-icon {
    display: inline-block;
}

.painel .header .header-text {
    width: calc(100% - 84px);
    text-align: left;
}

.painel .header .header-text h2 {
    display: inline-block;
    font-size: 20px;
}

.painel.form .header .header-text h2 {
    font-size: inherit;
}

.painel .header .header-icon {
    width: 70px;
    text-align: right;
}

.painel .header .header-icon .input {
    font-size: 0.6em;
}

.painel .body {
    width: 100%;
    background: #ffffff;
}

.painel .body::after {
    content: "";
    display: table;
    clear: both;
}

.painel.form .body {
    padding: 20px 10px;
}

/* CADASTRO DESCRICAO */

.coluna-descricao {
    width: 100%;
}

/* COLUNA FLOAT */

.coluna-float-left {
    float: none;
    clear: left;
}

.colunas-busca {
    display: flex;
    width: 50%;
}


/* ============= STATUS ============= */

span.status {
    display: inline-block;
    padding: 5px;
    box-shadow: 2px 2px 4px rgba(100, 100, 100, 0.4);
    border-radius: 4px;
    font-size: 0.9em;
    color: #ffffff;
    text-align: center;
}

/* ============= BACKGROUND PAINEL ============= */

#painel {
    background-image: url('../img/imgbackground.jpg');
    background-size: cover;
    background-position: top;
    width: 100%;
    display: flex;
    align-items: center;
    /* background-position: center; */
}


/* ============= TOPO NOME ============= */

.topo .localizar h1 {
    color: #ffffff;
    font-size: 1.375em;
    font-weight: 600;
}

/* ============= GRÁFICOS ============= */

.grafico-container {
    width: 100%;
    padding: 20px 10px;
    background: #ffffff;
    box-shadow: 2px 2px 4px rgba(100, 100, 100, 0.2);
}

.grafico-container h2 {
    display: inline-block;
    margin: 0 0 20px 20px;
    font-size: 20px;
    color: #535f60;
}

.grafico {
    max-width: 500px;
    margin: 0 auto;
}


/* ============= PERFIL ============= */

div.perfil {
    width: 100%;
    background: #ffffff;
    box-shadow: 2px 2px 4px rgba(100, 100, 100, 0.1);
    margin-top: 20px;
}

div.perfil .foto {
    width: 100%;
    position: relative;
    padding: 30px 0;
    text-align: center;
}

div.perfil .foto span {
    padding: 8px;
    position: absolute;
    top: 25px;
    right: 10px;
    transform: translate(0, -50%);
    font-size: 10px;
    font-weight: 600;
    background: #e4e4e4;
    border-radius: 8px;
    text-transform: uppercase;
    text-align: right;
}

div.perfil .dados {
    padding: 30px 10px 10px;
}

@media(max-width: 768px) {
    div.perfil {
        padding-top: 80px !important;
        margin-top: 0px !important;
    }
}

/* ============= FORMULÁRIO ============= */

.titulo-form {
    display: inline-block;
    padding: 10px 0;
    font-weight: 400;
    color: white;
    text-align: center;
    font-size: 22px;
}

.titulo-reservas {
    padding: 10px 0;
    font-weight: 400;
    color: white;
    text-align: center;
    font-size: 22px;
}

div.input {
    width: 100%;
    position: relative;
    color: #535f60;
    text-align: left;
    margin: auto 5px;
}

div.input input[type="date"],
div.input input[type="datetime-local"] {
    height: 3.1em;
}

div.input input:not([type="radio"]):not([type="checkbox"]),
div.input textarea {
    width: 100%;
    padding: 12px;
    font-family: "Open Sans", sans-serif;
    font-size: 0.9em;
    font-weight: 400;
    color: #535f60;
    background: #ffffff;
    border: 1px solid #d6d6d6;
    border-radius: 4px;
    transition: all 0.3s ease-in-out;
}

div.input textarea {
    height: 140px;
    resize: none;
}

div.input>label {
    position: absolute;
    top: -9px;
    left: 10px;
    /* padding: 0 5px; */
    background: #ffffff;
    border-radius: 4px;
    font-size: 0.7em;
    font-weight: 400;
    transition: all 0.3s ease-in-out;
    z-index: 1;
}

div.input input:not([type="radio"]):not([type="checkbox"])#senha {
    padding-right: 40px;
}

div.input>.helper {
    display: block;
    margin-left: 10px;
    font-size: 0.7em;
    visibility: hidden;
    opacity: 0;
    transition: all 0.3s ease-in-out;
}

div.input>.helper.visible {
    font-size: 0.9em;
    color: #e13a58;
    visibility: visible;
    opacity: 1;
}

div.input .input-icon,
div.input [data-toggle-password] {
    width: 20px;
    position: absolute;
    top: 50%;
    right: 15px;
    transform: translate(0, -50%);
    background: #ffffff;
    font-size: 1.4em;
    color: #535f60;
    cursor: pointer;
    transition: color 0.3s ease-in-out;
    z-index: 9;
}

div.input .input-icon.busca:hover {
    color: #3da5f4;
}

div.input [data-toggle-password] {
    transform: translate(0, calc(-50% - 5px));
    font-size: 1.2em;
    cursor: pointer;
}

div.input .input-icon.loading {
    animation: loading 0.8s linear infinite;
}

div.input [data-toggle-password]:hover {
    color: #008CA6;
}

div.input.success input:not([type="radio"]):not([type="checkbox"]),
div.input:not(.error) input:not([type="radio"]):not([type="checkbox"]):focus,
div.input.success textarea,
div.input:not(.error) textarea:focus {}

div.input.success>label,
div.input:not(.error) input:not([type="radio"]):not([type="checkbox"]):focus+label,
div.input:not(.error) textarea:focus+label {}

div.input.error input:not([type="radio"]):not([type="checkbox"]),
div.input.error textarea {
    border-color: #008CA6;
}

div.input.error>label {
    color: #008CA6;
}

div.input.error>.helper {
    color: #e13a58;
    visibility: visible;
    opacity: 1;
}

/*.error{
    border-color: #E13A58 !important;
}*/

div.check-box {
    width: 100%;
}

div.radio-button,
div.check-box {
    float: left;
}

div.radio-button input[type="radio"],
div.check-box input[type="checkbox"] {
    display: none;
}

div.radio-button input[type="radio"]+label,
div.check-box input[type="checkbox"]+label {
    display: inline-block;
    position: relative;
    padding: 12px 12px 12px 42px;
    margin-right: 20px;
    width: 100%;
    font-family: "Open Sans", sans-serif;
    font-size: 0.9em;
    font-weight: 400;
    color: #535f60;
    background: #ffffff;
    border: 1px solid #d6d6d6;
    border-radius: 4px;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

div.radio-button.margin input[type="radio"]+label,
div.check-box.margin input[type="checkbox"]+label {
    margin-top: 20px;
}

div.input div.radio-button:last-of-type input[type="radio"]+label,
div.input div.check-box:last-of-type input[type="checkbox"]+label {
    margin-right: 0;
}

div.radio-button input[type="radio"]+label.dark {
    color: #ffffff;
    background: #3e3e3e;
}

div.radio-button input[type="radio"]+label::before {
    content: "";
    width: 15px;
    height: 15px;
    position: absolute;
    top: 50%;
    left: 13px;
    transform: translate(0, -50%) scale(0);
    background: #3da5f4;
    border: 1px solid #3da5f4;
    border-radius: 50%;
    transition: transform 0.3s ease-in-out;
    z-index: 1;
}

div.radio-button input[type="radio"]:checked+label::before {
    transform: translate(0, -50%) scale(1);
}

div.check-box input[type="checkbox"]+label::before {
    content: "";
    width: 15px;
    height: 15px;
    position: absolute;
    top: 50%;
    left: 13px;
    transform: translate(0, -50%) scale(0);
    background: #3da5f4;
    border: 1px solid #3da5f4;
    border-radius: 4px;
    transition: transform 0.3s ease-in-out;
    z-index: 1;
}

div.check-box input[type="checkbox"]:checked+label::before {
    transform: translate(0, -50%) scale(1);
}

div.radio-button input[type="radio"]+label::after {
    content: "";
    width: 15px;
    height: 15px;
    position: absolute;
    top: 50%;
    left: 12px;
    transform: translate(0, -50%);
    border: 2px solid #e4e4e4;
    border-radius: 50%;
    z-index: 2;
}

div.check-box input[type="checkbox"]+label::after {
    content: "";
    width: 15px;
    height: 15px;
    position: absolute;
    top: 50%;
    left: 12px;
    transform: translate(0, -50%);
    border: 2px solid #e4e4e4;
    border-radius: 4px;
    z-index: 2;
}

div.input-group {
    width: 100%;
}

div.input-group .form {
    width: calc(100% - 60px);
    height: 40px;
    padding: 0 20px;
    display: block;
    background: #f8f9fa;
    border: 1px solid #f1f2f3;
    border-top-left-radius: 30px;
    border-bottom-left-radius: 30px;
    font-size: 0.9em;
    color: #545f61;
    transition: all 0.3s ease-in-out;
    float: left;
    padding-right: 0;
    border-right: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

div.input-group .icon {
    width: 60px;
    height: 40px;
    padding-right: 20px;
    float: left;
    position: relative;
    background: #f8f9fa;
    border: 1px solid #f1f2f3;
    border-left: 0;
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
    font-size: 1.5em;
    color: #545f61;
}

div.input-group button {
    width: 100%;
    height: 100%;
    border: none;
    display: block;
}

div.input-group .icon i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    cursor: pointer;
}


/* ============= FORÇA DA SENHA ============= */

div.nivel-senha {
    width: 100%;
    height: 5px;
    margin-top: 3px;
}

div.nivel-senha div.nivel {
    width: calc(25% - 3px);
    height: 100%;
    float: left;
    margin: 0 1.5px;
    background: #e4e4e4;
}

div.nivel-senha div.nivel:first-of-type {
    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;
}

div.nivel-senha div.nivel:last-of-type {
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
}

div.nivel-senha.fraca div.nivel:nth-of-type(1) {
    background: #e13a58;
}

div.nivel-senha.media div.nivel:nth-of-type(1),
div.nivel-senha.media div.nivel:nth-of-type(2) {
    background: #fda006;
}

div.nivel-senha.boa div.nivel:nth-of-type(1),
div.nivel-senha.boa div.nivel:nth-of-type(2),
div.nivel-senha.boa div.nivel:nth-of-type(3) {
    background: #3da5f4;
}

div.nivel-senha.forte div.nivel:nth-of-type(1),
div.nivel-senha.forte div.nivel:nth-of-type(2),
div.nivel-senha.forte div.nivel:nth-of-type(3),
div.nivel-senha.forte div.nivel:nth-of-type(4) {
    background: #44b6ae;
}


/*
============ CUSTOM CHECKBOX

 The container 
.container-checkbox {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

 Hide the browser's default checkbox 
.container-checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

 Create a custom checkbox 
.checkmark {
    position: absolute;
    top: -15px;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #d2cdcd;
}

 On mouse-over, add a grey background color 
.container-checkbox:hover input ~ .checkmark {
    background-color: #ccc;
}

 When the checkbox is checked, add a blue background 
.container-checkbox input:checked ~ .checkmark {
    background-color: #2196F3;
}

 Create the checkmark/indicator (hidden when not checked) 
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

 Show the checkmark when checked 
.container-checkbox input:checked ~ .checkmark:after {
    display: block;
}

 Style the checkmark/indicator 
.container-checkbox .checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}*/


/* ============= SVG ============= */

.farol {
    animation: lights 1s cubic-bezier(0.175, 0.885, 0.32, 1.275) infinite;
}


/*===========LOADER===============*/

.loader-cover {
    width: 100%;
    height: 100%;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 9999;
}

.loader {
    position: absolute;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    margin: 75px;
    display: inline-block;
    vertical-align: middle;
    left: 45%;
    right: 45%;
    top: 30%;
    bottom: 50%;
    border: 7px double #318d43;
    -webkit-animation: loader 1s linear infinite;
    animation: loader 1s linear infinite;
}

.hide {
    display: none !important;
}

.show {
    display: block !important;
}

.loader::before,
.loader::after {
    content: "";
    position: absolute;
    width: 12px;
    height: 12px;
    background: #318d43;
    border-radius: 50%;
    bottom: 0;
    right: 37px;
}

.loader::after {
    left: 37px;
    top: 0;
}

.upload_message {
    color: #20ad24;
    font-size: 20px;
    padding: 10px;
    display: block;
}

#modal-fazenda-list .painel .header {
    padding: 5px 30px !important;
}

#modal_comprador {
    max-width: 40% !important;
}

.input-sucesso {
    border: solid 10px #f1536e;
    clip-path: polygon(calc(0% + 5px) calc(0% + 5px), calc(100% - 5px) calc(0% + 5px), calc(100% - 5px) calc(100% - 5px), calc(0% + 5px) calc(100% - 5px));
    transition: clip-path 0.6s linear;
}

@-webkit-keyframes loader {
    from {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes loader {
    from {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

span#messageConfirmPassaword {
    font-size: 0.8em;
    font-weight: 400;
    transition: all 0.3s ease-in-out;
    z-index: 1;
    float: left;
    margin-left: 1px;
}

.texto-padrao img {
    max-width: 80%;
}


/* ============= CALENDÁRIO ============= */

div.calendario {
    max-width: 900px;
    margin: 0 auto;
    width: 100%;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    box-shadow: 2px 2px 8px rgba(100, 100, 100, 0.1);
}

div.calendario .header {
    width: 100%;
    display: table;
    padding: 20px 25px;
    background: #545f61;
    outline: 1px solid #545f61;
    margin-bottom: 1px;
    color: #ffffff;
}

div.calendario .header h2 {
    width: calc(100% - 100px);
    display: table-cell;
    vertical-align: middle;
    font-size: 1.2em;
}

div.calendario .header .buttons {
    width: 100px;
    display: table-cell;
    vertical-align: middle;
    text-align: right;
}

div.calendario .header i {
    padding: 0 15px;
    border: 1px solid #ffffff;
    cursor: pointer;
    font-size: 1.8em;
    transition: all 0.3s ease-in-out;
}

div.calendario .header i:hover {
    background: #ffffff;
    color: #545f61;
}

div.calendario .cabecalho {
    width: 100%;
    background: #e96417;
    outline: 1px solid #e96417;
    margin-bottom: 1px;
    color: #ffffff;
    display: flex;
}

div.calendario .cabecalho h2 {
    width: 14.28571428571429%;
    display: inline-block;
    font-size: 1.2em;
    padding: 5px 0px 8px;
    text-align: center;
}

div.calendario .corpo {
    width: 100%;
    background: #e2e2e2;
    outline: 1px solid #c4c4c4;
}

div.calendario .corpo a {
    width: 14.28571428571429%;
    height: 170px;
    float: left;
    background: #fbfcfc;
    outline: 1px solid #c4c4c4;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

div.calendario .corpo a.vazio {
    background: #e2e2e2;
}

div.calendario .corpo a .total {
    margin-top: 5px;
    font-size: 0.7em;
    color: #535f60;
    text-transform: uppercase;
}

div.calendario .corpo a i {
    margin-top: 3px;
    font-size: 1.4em;
    color: #e96417;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

div.calendario .corpo a i:hover {
    color: #fda006;
}

div.calendario .corpo a .dia {
    font-size: 3.2em;
    color: #c4c4c4;
}

div.calendario .corpo a .dia-semana {
    display: none;
    margin: 1px 5px 0 0;
    font-size: 1em;
    color: #c4c4c4;
}

div.calendario .corpo a .dia.active {
    padding: 1px 4px;
    background: #e96417;
    border-radius: 50%;
    color: #ffffff;
    width: 70%;
    height: 70%;
    display: flex;
    justify-content: center;
    align-items: center;
}

div.calendario .corpo a .dia.active.single {
    padding: 1px 8px;
}

@media (max-width: 768px) {
    div.calendario {
        margin-top: 71px;
    }
}

@media (max-width: 1100px) {
    .colunas-busca {
        flex-wrap: wrap;
        width: auto;
    }

    .colunas-busca div.input {
        margin-top: 10px;
    }
}


/*BLACK BISON CSS*/

.observacao {
    background: gainsboro;
}

.troca-area .itens {
    display: flex;
    align-items: center;
}

.troca-area .itens .cor-lista {
    margin-right: 20px;
}

input[type="color"] {
    border: solid 1px #d6d6d6;
    border-radius: 3px;
    height: 45px;
    width: 75px;
    padding: 6px 5px 4px;
}

.input-color {
    position: relative;
}

.input-color label {
    position: absolute;
    top: -9px;
    left: 10px;
    padding: 0 5px;
    background: #ffffff;
    border-radius: 4px;
    font-size: 0.8em;
    font-weight: 400;
    transition: all 0.3s ease-in-out;
    z-index: 1;
    color: #535f60;
    text-align: left;
}

.cor-lista {
    height: 30px;
    width: 65px;
    border-radius: 5px;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

.confirmado {
    background: #b9eed3 !important;
}

table .confirmado:hover td {
    background-color: #b9eed3;
}


.whatsapp-area {
    min-width: 190px;
}

.whatsapp-area i {
    margin-left: 4px;
    font-size: 18px;
    font-weight: 600;
    color: #2d9e44;
}



@media (max-width: 768px) {
    .ocultar-mobile {
        display: none;
    }

    .ocultar-desktop {
        display: block;
    }

    .mt-mob-10 {
        margin-top: 10px;
    }

    .mt-mob-20 {
        margin-top: 20px;
    }

    .mt-mob-30 {
        margin-top: 30px;
    }

    /* .content-container {
        padding-top: 100px;
    } */

    div.calendario .corpo a .dia {
        font-size: 1.5em;
    }

    table tr th,
    table tr td {
        padding: 5px 10px;
        white-space: nowrap;
    }

    table tr td.acoes i {
        font-size: 20px;
        margin-right: 8px;
    }

    table tr .trocar {
        font-size: 20px;
    }
}

@media (max-width: 550px) {
    .content-container {
        padding-left: 0px;
        padding-right: 0px;
    }
}

@media (max-width: 580px) {
    .tarefas form {
        flex-direction: column;
    }
}

@media (max-width: 450px) {
    .tarefas .item .area-2 {
        margin-top: 10px;
        margin: 10px auto 0px;
    }

    .tarefas .item .area-1 {
        margin-top: 10px;
        width: 100%;
    }

    .tarefas .lista {
        max-height: 500px;
    }
}

.Dash-circulo {
    width: 110px;
    height: 110px;
    border-radius: 50%;
    border-radius: 100%;
    overflow: hidden;
    border: 6px solid #484d6036;
    margin-left: -10px;
}

.Dash-circulo img {
    width: 100px;
}

.Dash-cabecalho p {
    font-size: 1em;
    color: #545f61;
}

.Dash-cabecalho h2 {
    font-size: 1.2em;
    font-weight: 600;
    color: #545f61;
    margin: 5px 5px;
}

.Dash-cabecalho h3 {
    font-size: 1em;
    font-weight: 500;
    color: #3d944e;
    margin: 5px 5px;
}

.Dash-cabecalho h4 {
    font-size: 1.1em;
    font-weight: 500;
    margin: 5px 5px;
}

.Dash-revisao {
    width: 60%;
    height: 5px;
    background-color: #4f46e5;
    border-radius: 5px 0 0 5px;
    margin-top: 5px;
    margin-bottom: 10px;
    float: left;

}

.Dash-revisao2 {
    width: 40%;
    height: 5px;
    background-color: #10b981;
    border-radius: 0 5px 5px 0;
    margin-top: 5px;
    margin-bottom: 10px;
    float: right;

}

#curve_chart {
    width: 100%;
    padding: 0 !important;
    margin-bottom: 5px;
}

.div-acoes {
    width: 10px;
    display: flex;
    justify-content: flex-start;
    margin-top: 10px;
}

#autocomplete-results {
    display: none !important;
    background-color: white;
    border-left: 1px solid #c1c1c1;
    border-right: 1px solid #c1c1c1;
    border-bottom: 1px solid #c1c1c1;
    display: block;
    position: absolute;
    width: 25%;
    width: 100%;
    border-radius: 0px 0px 3px 3px;
    z-index: 999;
    transition: .3s ease-in-out;
    max-height: 245px;
    overflow-y: auto;
}

#autocomplete-results ul li {
    list-style-type: none;
    cursor: pointer;
    transition: .3s ease;
    font-size: 12.8px;
    padding: 6px;
    color: #666666;
}

#autocomplete-results ul li:hover {
    background: #3991d0;
    color: #ffffff;
}


@media(max-width: 768px) {
    .img-editar {
        max-width: 300px;
    }

    .main-div-editar {
        display: flex;
        justify-content: center;
    }


}